Get Application Statistics Charts
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId}/statistics/charts \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/mc/apps/{appId}/statistics/charts"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/mc/apps/{appId}/statistics/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/mc/apps/{appId}/statistics/charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/mc/apps/{appId}/statistics/charts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bunny.net/mc/apps/{appId}/statistics/charts")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/mc/apps/{appId}/statistics/charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"activeRegionsChart": {},
"instancesChart": {},
"instancesSplitChart": {},
"cpuUsageSplitChart": {},
"ramUsageSplitChart": {},
"trafficSplitChart": {},
"ephemeralStorageSplitUsageChart": {},
"ephemeralStorageSplitLimitChart": {},
"volumesSplitUsageChart": {},
"volumesSplitCapacityChart": {},
"releases": [
{
"time": "2023-11-07T05:31:56Z",
"region": "<string>",
"operationType": "<string>",
"rolledBack": true,
"images": [
{
"container": "<string>",
"image": "<string>",
"tag": "<string>",
"digest": "<string>"
}
]
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Applications
Get Application Statistics Charts
Retrieves historical charts for an application over a specified time period: CPU, RAM, traffic and ephemeral storage usage and limit per pod with the pod’s region, instances in total and per region, active regions, usage and capacity per volume with the volume’s region and pods, and the rolling updates of the period per region.
GET
/
apps
/
{appId}
/
statistics
/
charts
Get Application Statistics Charts
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId}/statistics/charts \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/mc/apps/{appId}/statistics/charts"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/mc/apps/{appId}/statistics/charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bunny.net/mc/apps/{appId}/statistics/charts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AccessKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bunny.net/mc/apps/{appId}/statistics/charts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("AccessKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bunny.net/mc/apps/{appId}/statistics/charts")
.header("AccessKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bunny.net/mc/apps/{appId}/statistics/charts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["AccessKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"activeRegionsChart": {},
"instancesChart": {},
"instancesSplitChart": {},
"cpuUsageSplitChart": {},
"ramUsageSplitChart": {},
"trafficSplitChart": {},
"ephemeralStorageSplitUsageChart": {},
"ephemeralStorageSplitLimitChart": {},
"volumesSplitUsageChart": {},
"volumesSplitCapacityChart": {},
"releases": [
{
"time": "2023-11-07T05:31:56Z",
"region": "<string>",
"operationType": "<string>",
"rolledBack": true,
"images": [
{
"container": "<string>",
"image": "<string>",
"tag": "<string>",
"digest": "<string>"
}
]
}
]
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Query Parameters
Response
Application statistics charts were successfully retrieved.